package cn.pluss.platform.wap;

import com.alipay.api.response.AlipayUserInfoShareResponse;

/**
 * @author yuchen
 *
 * @Description 
 */
public class AliUserInfoVO {
	
	private String userId;
	private String avatar;
	private String province;
	private String city;
	private String nickName ;
	private String area;
	private String gender;
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public String getAvatar() {
		return avatar;
	}
	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}
	public String getProvince() {
		return province;
	}
	public void setProvince(String province) {
		this.province = province;
	}
	public String getCity() {
		return city;
	}
	public void setCity(String city) {
		this.city = city;
	}
	public String getNickName() {
		return nickName;
	}
	public void setNickName(String nickName) {
		this.nickName = nickName;
	}
	public String getArea() {
		return area;
	}
	public void setArea(String area) {
		this.area = area;
	}
	public String getGender() {
		return gender;
	}
	public void setGender(String gender) {
		this.gender = gender;
	}
	
	public static AliUserInfoVO convertAlipayUserInfoShareResponse(AlipayUserInfoShareResponse response) {
		AliUserInfoVO vo=new AliUserInfoVO();
		String avatar = response.getAvatar();
		String province = response.getProvince();
		String city = response.getCity();
		String nickName = response.getNickName();
		String area = response.getArea();
		String gender = response.getGender();
		vo.setUserId(response.getUserId());
		vo.setAvatar(avatar);
		vo.setCity(city);
		vo.setGender(gender);
		vo.setNickName(nickName);
		vo.setProvince(province);
		vo.setArea(area);
		return vo;
	}
	

}

